- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QVariantAnimation Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qvariantanimation.h.

`#include <qvariantanimation.h>`

Inheritance diagram for QVariantAnimation:
[legend]

List of all members.

## Public Types
typedef QPair< qreal, QVariant > | KeyValue
typedef QVector< KeyValue > | KeyValues
typedef QVariant(* | Interpolator )(const void *from, const void *to, qreal progress)
## Signals
void | valueChanged (const QVariant &value)
## Public Member Functions
| QVariantAnimation (QObject *parent=0)
| ~QVariantAnimation ()
QVariant | startValue () const
void | setStartValue (const QVariant &value)
QVariant | endValue () const
void | setEndValue (const QVariant &value)
QVariant | keyValueAt (qreal step) const
void | setKeyValueAt (qreal step, const QVariant &value)
KeyValues | keyValues () const
void | setKeyValues (const KeyValues &values)
QVariant | currentValue () const
int | duration () const
void | setDuration (int msecs)
QEasingCurve | easingCurve () const
void | setEasingCurve (const QEasingCurve &easing)
## Protected Member Functions
| QVariantAnimation (QVariantAnimationPrivate &dd, QObject *parent=0)
bool | event (QEvent *event)
void | updateCurrentTime (int)
void | updateState (QAbstractAnimation::State newState, QAbstractAnimation::State oldState)
virtual void | updateCurrentValue (const QVariant &value)=0
virtual QVariant | interpolated (const QVariant &from, const QVariant &to, qreal progress) const
## Properties
QVariant | startValue
QVariant | endValue
QVariant | currentValue
int | duration
QEasingCurve | easingCurve
## Friends
template<typename T >
void | qRegisterAnimationInterpolator (QVariant(*func)(const T &, const T &, qreal))

## Member Typedef Documentation

typedef QPair<qreal, QVariant> KeyValue

Search for all occurrences

Definition at line 70 of file qvariantanimation.h.

typedef QVector<KeyValue> KeyValues

Search for all occurrences

Definition at line 71 of file qvariantanimation.h.

typedef QVariant(* Interpolator)(const void *from, const void *to, qreal progress)

Search for all occurrences

Definition at line 96 of file qvariantanimation.h.

## Constructor & Destructor Documentation

QVariantAnimation | ( | QObject * | parent = `0` | ) |

~QVariantAnimation | ( |  | ) |

QVariantAnimation | ( | QVariantAnimationPrivate & | dd,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

QVariant startValue | ( |  | ) | const

Search for all occurrences

void setStartValue | ( | const QVariant & | value | ) |

Search for all occurrences

QVariant endValue | ( |  | ) | const

Search for all occurrences

void setEndValue | ( | const QVariant & | value | ) |

Search for all occurrences

QVariant keyValueAt | ( | qreal | step | ) | const

Search for all occurrences

void setKeyValueAt | ( | qreal | step,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

KeyValues keyValues | ( |  | ) | const

Search for all occurrences

void setKeyValues | ( | const KeyValues & | values | ) |

Search for all occurrences

QVariant currentValue | ( |  | ) | const

Search for all occurrences

int duration | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void setDuration | ( | int | msecs | ) |

Search for all occurrences

QEasingCurve easingCurve | ( |  | ) | const

Search for all occurrences

void setEasingCurve | ( | const QEasingCurve & | easing | ) |

Search for all occurrences

void valueChanged | ( | const QVariant & | value | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

Reimplemented in QPropertyAnimation.

void updateCurrentTime | ( | int |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractAnimation.

void updateState | ( | QAbstractAnimation::State | newState,
|  | QAbstractAnimation::State | oldState
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

Reimplemented in QPropertyAnimation.

virtual void updateCurrentValue | ( | const QVariant & | value | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QPropertyAnimation.

virtual QVariant interpolated | ( | const QVariant & | from,
|  | const QVariant & | to,
|  | qreal | progress
| ) |  | const `[protected, virtual]`

Search for all occurrences

## Friends And Related Function Documentation

void qRegisterAnimationInterpolator | ( | QVariant(*)(const T &, const T &, qreal) | func | ) | `[friend]`

Search for all occurrences

## Property Documentation

QVariant startValue `[read, write]`

Search for all occurrences

Definition at line 63 of file qvariantanimation.h.

QVariant endValue `[read, write]`

Search for all occurrences

Definition at line 64 of file qvariantanimation.h.

QVariant currentValue `[read]`

Search for all occurrences

Definition at line 65 of file qvariantanimation.h.

int duration `[read, write]`

Search for all occurrences

Reimplemented from QAbstractAnimation.

Definition at line 66 of file qvariantanimation.h.

QEasingCurve easingCurve `[read, write]`

Search for all occurrences

Definition at line 67 of file qvariantanimation.h.

The documentation for this class was generated from the following file:

- QtCore/qvariantanimation.h

QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation
QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation QVariantAnimation